Bug 61123 - glibc-2.2.4 resolver bug
glibc-2.2.4 resolver bug
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-03-13 17:04 EST by Need Real Name
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-15 14:31:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-13 17:04:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461)

Description of problem:
function gethostby* never try to access files /etc/host.conf and /etc/hosts 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. issue command 'host blabla' where 'blabla' any host present in /etc/hosts, 
but absend in DNS. 

Actual Results:  The host program will fail to resolve it. This is true for 
both direct and back resolving. Using strace I saw that files /etc/host.conf 
and /etc/hosts never accessed.

Expected Results:  Either file /etc/host.conf or /etc/nsswitch conf should be 
accessed first. The further depends on configuration in this file. Current 
glibc ignore all this configuration files and always uses DNS to resolve 

Additional info:

This is very serious bug and must be fixed immediately.
Comment 1 Alan Cox 2002-12-15 14:31:44 EST
host does DNS lookups only. It is meant to.

Note You need to log in before you can comment on or make changes to this bug.